Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.ka2ddo.yaac.io
Enum BeaconData.PositionType

    java.lang.Object
      java.lang.Enum<BeaconData.PositionType>
          org.ka2ddo.yaac.io.BeaconData.PositionType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BeaconData.PositionType>

Enclosing class:
  BeaconData

    public static enum BeaconData.PositionType

extends java.lang.Enum<BeaconData.PositionType>

Enum specifying the specific APRS Position Report message type code used for BeaconType.POSITION and BeaconType.COMPRESSED beacon messages in APRS. Note this has no effect on OpenTRAC beacons.

Enum Constant Summary
`NO_TIME_NO_MESSAGING` Don't generate timestamp, report that station is not capable of text messaging (not actually true for YAAC).
`NO_TIME_W_MESSAGING` Don't generate timestamp, report that station is capable of text messaging (this is the YAAC default).
`TIME_NO_MESSAGING` Generate current timestamp, report that station is not capable of text messaging (not actually true for YAAC).
`TIME_W_MESSAGING` Generate current timestamp, report that station is capable of text messaging.

Method Summary
`boolean` | `canMsg()` Report whether YAAC has an operator capable of receiving text messages,
`char` | `getMsgType()` Report the message type character prefix to use for APRS Position Report message (APRS 1.0.1 specification, chapter 8).
`static BeaconData.PositionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BeaconData.PositionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NO_TIME_W_MESSAGING

    public static final BeaconData.PositionType NO_TIME_W_MESSAGING

  Don't generate timestamp, report that station is capable of text messaging (this is the YAAC default).

### NO_TIME_NO_MESSAGING

    public static final BeaconData.PositionType NO_TIME_NO_MESSAGING

  Don't generate timestamp, report that station is not capable of text messaging (not actually true for YAAC).

### TIME_W_MESSAGING

    public static final BeaconData.PositionType TIME_W_MESSAGING

  Generate current timestamp, report that station is capable of text messaging.

### TIME_NO_MESSAGING

    public static final BeaconData.PositionType TIME_NO_MESSAGING

  Generate current timestamp, report that station is not capable of text messaging (not actually true for YAAC).

Method Detail

### values

    public static BeaconData.PositionType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BeaconData.PositionType c : BeaconData.PositionType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BeaconData.PositionType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getMsgType

    public char getMsgType()

  Report the message type character prefix to use for APRS Position Report message (APRS 1.0.1 specification, chapter 8).

  Returns:
    char value for beacon prefix

### canMsg

    public boolean canMsg()

  Report whether YAAC has an operator capable of receiving text messages,

  Returns:
    boolean true if it can handle text messages

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD